/*
    Spakes - a client/server Snakes-clone for up to 4 players
    Copyright (C) 2001, 2002, 2004  Markus Triska

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact me at triska@gmx.at
*/

const char CMD_GET_GAMEINFO = 0x01;
const char CMD_PRIMARY      = 0x02; // + Name   Port
const char CMD_SECONDARY    = 0x03; // + Name
const char CMD_HITWALL      = 0x04; // + Player
const char CMD_ATEAPPLE     = 0x05; // + Player Position Newpos

const char SRV_GAMEINFO     = 0x01; // + Version
const char SRV_LOGINREPLY   = 0x02; // + 0/1  Playerid  Name  Position Direction
const char SRV_SECONDARY    = 0x03; // + Playerid  Name  Position Direction
const char SRV_REMPRIMARY   = 0x04; // + Playerid  Name  Position IP   Port
const char SRV_REMSECONDARY = 0x05; // + Playerid  Name  Position
const char SRV_APPLE        = 0x06; // + Pos
const char SRV_GO           = 0x07;
const char SRV_TICK         = 0x41; // + Player Position
const char SRV_HITWALL      = 0x42; // + Player
const char SRV_ATEAPPLE     = 0x43; // + Player Pos Newpos
const char SRV_GAMEOVER     = 0x44;
const char SRV_PLAYER_OUT   = 0x45; // + Player

const unsigned char DELIMINATER      =  227;
const int           PROTOCOL_VERSION =    4;
const int           SPAKES_PORT      = 6713;
