/*
    Spakes - a client/server Snakes-clone for up to 4 players
    Copyright (C) 2001, 2002, 2004  Markus Triska

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact me at triska@gmx.at
*/


#include <vector>

#include <qapplication.h>
#include "player.h"
#include "server.h"
#include "gameboard.moc"

Player *players[4];
Server server;
Gameboard *mainwindow;
std::vector<Point> apples;
int numplayers = 0;
bool multiplayer;

int main(int argc, char **argv)
{
	QApplication a(argc, argv);
	Gameboard gameboard;
	mainwindow = &gameboard;
	for (int i = 0; i < 4; i++) players[i] = 0;
	a.setMainWidget(&gameboard);
	gameboard.show();
	return a.exec();
}
